import request from "@/util/request";
import setting from '@/util/setting'
// const prefix = setting.etlUrl + '/etl-api'
const prefix = setting.suffix

export const categoryList = params => request.get(prefix + '/dsy-job-category/list', {params})
export const categoryUpdate = data => request.post(prefix + '/dsy-job-category/submit', data)
export const categoryDel = params => request.post(prefix + '/dsy-job-category/delete', {}, {params})

export const instanceList = params => request.get(prefix + '/dsy-job-instance/page', {params})
export const instanceGoon = params => request.post(prefix + '/dsy-job-instance/recover', {}, {params})
export const instanceCancel = params => request.post(prefix + '/dsy-job-instance/cancel', {}, {params})
export const instanceDel = params => request.post(prefix + '/dsy-job-instance/delete', {}, {params})
export const instanceStat = data => request.post(prefix + '/dsy-job-instance/stat', data,)