import request from "@/util/request";
import setting from '@/util/setting'
const etlPrefix = setting.etlUrl + setting.suffix
const prefix = '/api'

export const getAuthByEtl = id => request.get(etlPrefix + '/job/permission/dataPermList/' + id)

export const typeList = params => request.get(prefix + '/dataPermType/list', {params});

export const groupPage = params => request.get(prefix + '/dataPerm/list', {params});

export const saveAuthByEtl = data => request.post(etlPrefix + '/job/permission/perform', data)

export const getMineAuthGroup = params => request.get(prefix + '/dataPerm/ownerList', {params});