let totalChart = 'abcdefghijklmiopqrstuvwxyzABCDEFGHIJKLMIOPQRSTUVWXYZ';

export default {
  getRandomStr(length) {
    return new Array(length).fill('').map(i => totalChart[parseInt(Math.random() * totalChart.length)]).join('');
  },
  timeTransDesc(ms) {
    ms = parseInt(ms)
    let s = parseInt(ms / 1000)
    // 按秒显示
    if (s <= 60) return `${s}秒`
    let minute = parseInt(s / 60)
    // 按分钟显示
    if (s > 60 && minute <= 60) return `${minute}分钟`
    let hour = parseInt(s / 3600)
    // 按小时显示
    if (minute > 60 && hour <= 24) {
      let extreMinute = minute - hour * 60
      return `${hour}小时${extreMinute ? extreMinute + '分钟' : ''}`
    }
    // 按天显示
    let day = parseInt(s / 86400)
    let extraHour = hour - day * 24
    return `${day}天${extraHour ? extraHour + '小时' : ''}`
  },
  // 获取输入节点
  getLastNodes(code, nodeList, edges) {
    let lastLinks = edges.filter(i => i.target === code)
    return lastLinks.map(link => {
      return nodeList.find(i => i.code === link.source)
    })
  }
}